require 'non-stupid-digest-assets'
require 'b_ber_reader/engine'

module BberReader
  class << self

    def configure
      assets_dir = File.expand_path('../../app/assets',  __FILE__)
      Dir.glob("#{assets_dir}/**/*") do |f|
        next if !File.file?(f)
        NonStupidDigestAssets.whitelist << File.basename(f)
      end
    end

    def javascript
      javascript = ''
      javascripts_dir = File.expand_path('../../app/assets/javascripts',  __FILE__)
      Dir.glob("#{javascripts_dir}/*.js") do |f|
        javascript = File.basename(f)
      end

      javascript
    end

    def stylesheet
      stylesheet = ''
      stylesheets_dir = File.expand_path('../../app/assets/stylesheets',  __FILE__)
      Dir.glob("#{stylesheets_dir}/*.css") do |f|
        stylesheet = File.basename(f)
      end

      stylesheet
    end

    def fonts
      fonts = []
      fonts_dir = File.expand_path('../../app/assets/fonts',  __FILE__)
      Dir.glob("#{fonts_dir}/*.{ttf,eot,woff,woff2}") do |f|
        fonts << File.basename(f)
      end

      fonts
    end

  end
end
